Bug 753734 - ICE in add_var_loc_to_decl
ICE in add_var_loc_to_decl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
16
s390 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 05:37 EST by Dan Horák
Modified: 2013-02-13 09:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
preprocessed input file (1.54 MB, text/plain)
2011-11-14 05:37 EST, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2011-11-14 05:37:59 EST
Created attachment 533490 [details]
preprocessed input file

Build of the ceph-0.37-1.fc16 package fails on s390 with this error:

bash-4.2# g++ -DHAVE_CONFIG_H -I. -Wall -D__CEPH__ -D_FILE_OFFSET_BITS=64 -D_REENTRANT -D_THREAD_SAFE -D__STDC_FORMAT_MACROS -D_GNU_SOURCE -rdynamic -Wtype-limits -Wignored-qualifiers -Winit-self -Wpointer-arith -fno-strict-aliasing -Wnon-virtual-dtor -Wno-invalid-offsetof -Wstrict-null-sentinel -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m31 -march=z9-109 -mtune=z10 -c osdc/ObjectCacher.cc -o ObjectCacher.o
osdc/ObjectCacher.cc: In member function ‘void ObjectCacher::flusher_entry()’:
osdc/ObjectCacher.cc:1052:1: internal compiler error: in add_var_loc_to_decl, at dwarf2out.c:8686
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
{standard input}: Assembler messages:
{standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
Preprocessed source stored into /tmp/cc1ByygA.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):
gcc version 4.6.2 20111027 (Red Hat 4.6.2-1) (GCC)


Additional info:
By a mistake I did also a build with gcc version 4.6.1 20110715 (Red Hat 4.6.1-3) (GCC) and this gcc version works correctly.
Comment 1 Dan Horák 2011-11-14 06:48:49 EST
Only s390 (32/31 bit) seems to be affected, havent't seen the problem on s390x or ppc/ppc64.
Comment 2 Dan Horák 2011-12-21 07:27:59 EST
Seems only -O2 leads to the ICE, tried also with -O0, -O1 and -O3 and all were successful.
Comment 3 Fedora End Of Life 2013-01-16 08:57:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:53:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.